import { BaseSDK } from './sdk';
import { Keyboard, ResponseType } from '@jolibox/types';
/**
 * @private
 * Manages keyboard functionalities within the Jolibox ecosystem. Only Support in Native App
 */
export declare class KeyboardSDK extends BaseSDK implements Keyboard {
    /**
     * Show the keyboard
     * @param params
     * @returns
     */
    showKeyboard(params: {
        defaultValue?: string;
        maxLength?: number;
        multiple?: boolean;
    }): {
        code: ResponseType;
        message: string;
    } | undefined;
    /**
     * Update the keyboard
     * @param value
     * @returns
     */
    updateKeyboard(value: string): {
        code: ResponseType;
        message: string;
    } | undefined;
    /**
     * Hide the keyboard
     * @returns
     */
    hideKeyboard(): {
        code: ResponseType;
        message: string;
    } | undefined;
}
